Retrieve a customer's payment method - Flex Documentation

Retrieve a customer's payment method

cURL

curl --request GET \
  --url https://api.withflex.com/v1/customers/{id}/payment_methods/{pm_id} \
  --header 'Authorization: Bearer <token>'

Python

import requests

url = "https://api.withflex.com/v1/customers/{id}/payment_methods/{pm_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.withflex.com/v1/customers/{id}/payment_methods/{pm_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.withflex.com/v1/customers/{id}/payment_methods/{pm_id}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}

Go

package main

import (
    "fmt"
    "net/http"
    "io"
)

func main() {

url := "https://api.withflex.com/v1/customers/{id}/payment_methods/{pm_id}"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}

Unirest (Java)

HttpResponse<String> response = Unirest.get("https://api.withflex.com/v1/customers/{id}/payment_methods/{pm_id}")
  .header("Authorization", "Bearer <token>")
  .asString();

Ruby

require 'uri'
require 'net/http'

url = URI("https://api.withflex.com/v1/customers/{id}/payment_methods/{pm_id}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body

Possible Responses

Example Response

{
  "payment_method": {
    "payment_method_id": "fpm_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
    "billing_details": {
      "email": "john.doe@example.com",
      "name": "Example",
      "phone": "+14155550142"
    },
    "customer": "fcus_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
    "metadata": {
      "order_id": "8842",
      "channel": "shopify"
    },
    "card": {
      "country": "example_value",
      "exp_month": 12,
      "exp_year": 2027,
      "last4": "example_value"
    },
    "created_at": "2026-06-15T14:30:00Z",
    "test_mode": false,
    "off_session": false
  }
}

Error Response

{
  "code": "string",
  "detail": "string"
}

Path Parameters

Query Parameters

Notes

An envelope wrapping a single payment method object.